%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  asus
%global packver   1.5.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.5.0
Release:          1%{?dist}%{?buildtag}
Summary:          Adaptive SURE Thresholding Using Side Information

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-wavethresh 
BuildRequires:    R-stats 
BuildRequires:    R-utils 
Requires:         R-CRAN-wavethresh 
Requires:         R-stats 
Requires:         R-utils 

%description
Provides the ASUS procedure for estimating a high dimensional sparse
parameter in the presence of auxiliary data that encode side information
on sparsity. It is a robust data combination procedure in the sense that
even when pooling non-informative auxiliary data ASUS would be at least as
efficient as competing soft thresholding based methods that do not use
auxiliary data. For more information, please see the paper Adaptive Sparse
Estimation with Side Information by Banerjee, Mukherjee and Sun (JASA
2020).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
